Last-Update: 2016-08-02
Forwarded: https://gitlab.com/gitlab-org/gitlab-ci-multi-runner/merge_requests/245
Bug-Upstream: https://gitlab.com/gitlab-org/gitlab-ci-multi-runner/issues/1550
Author: Dmitry Smirnov <onlyjob@debian.org>
Description: optimise silly code.

--- a/shells/bash.go
+++ b/shells/bash.go
@@ -12,26 +12,9 @@
 	"strconv"
 	"strings"
 )
 
-const bashDetectShell = `if [ -x /usr/local/bin/bash ]; then
-	exec /usr/local/bin/bash $@
-elif [ -x /usr/bin/bash ]; then
-	exec /usr/bin/bash $@
-elif [ -x /bin/bash ]; then
-	exec /bin/bash $@
-elif [ -x /usr/local/bin/sh ]; then
-	exec /usr/local/bin/sh $@
-elif [ -x /usr/bin/sh ]; then
-	exec /usr/bin/sh $@
-elif [ -x /bin/sh ]; then
-	exec /bin/sh $@
-else
-	echo shell not found
-	exit 1
-fi
-
-`
+const bashDetectShell = `exec $(which bash || which sh) $@`
 
 type BashShell struct {
 	AbstractShell
 	Shell string
